;   Procedur EFTERV_BATT
;  
;   Fr temperatur reglering av eftervrmebatteri som
;   regleras som Till/Rums- eller Kaskadreglering. 
;
;
;Variabler:
;   PL  - Datarad
;   As  - Anlggnings status
;   Lu  - Undre brvrde
;   Lo  - vre brvrde
;   Tr  - Rumstemperarur
;   Tz  - Tillufttemperatur
;   Y() - Utsignaler
;   Cc  - Kaskad (1=Ja,0=Nej)
;   Nk  - Antal kylenheter
;   Nh  - Antal vrmeenheter  
;   Rr  - Rumsregulator
;   Rz  - Tilluftsregulator
;   J1  - Summa antal sekvenssteg
;   J   - Regulatoromrde/Sekvenssteg
 
.PROC  EFTERV_BATT 
      ENTRY (IN:PL,As,W,Lu,Lo,Tr,Tz OUT:Y())
  100 RESTORE TSKNR,PL; READ Cc,Nk,Nh; J1:=Nk+Nh; DIM Y(Nk+Nh),Ra(Cc+1)
  110 FOR I:=1 TO (Cc+1); READ Ra(I); NEXT I
  120 IF (NOT As) THEN GOTO 10000
  130 J:=(@Ra(1).UMAX-@Ra(1).UMIN)/J1
  200 IF (NOT Cc) THEN GOTO 1500
 1000 @Ra(2).UMIN:=Lu; @Ra(2).UMAX:=Lo
 1200 @Ra(2).PR:=Tr; @Ra(2).SPV:=W; @Ra(1).PR:=Tz; @Ra(1).SPV:=REG(@Ra(2).ADR)
 1300 GOTO 2000
 1500 @Ra(1).PR:=Tz; @Ra(1).SPV:=W
 2000 REG(@Ra(1).ADR)
 2100 FOR I:=1 TO J1; Y(I):=POS(@Ra(1).COU,(I-1)*J,I*J)*As; NEXT I
 3000 IF Nk=0 THEN ENDPROC 
 4000 FOR I:=1 TO Nk; Y(I):=100-Y(I); NEXT I
 9999 ENDPROC 
10000 FOR I:=1 TO (Cc+1); @Ra(I).SINT:=0; NEXT I; ENDPROC 
EXIT
 
